package com.ruoyi.wx.web.domain.vo;

import java.util.List;

public class LotteryVo {
    /**
     * 奖品id
     */
    private Long lotteryId;
    /**
     * 抽奖码
     */
    private List<String> lotteryCodes;

    /**
     * 抽奖类型
     */
    private String lotteryType;

    /**
     * 抽奖类型名称
     */
    private String lotteryTypeName;

    public Long getLotteryId() {
        return lotteryId;
    }

    public void setLotteryId(Long lotteryId) {
        this.lotteryId = lotteryId;
    }

    public List<String> getLotteryCodes() {
        return lotteryCodes;
    }

    public void setLotteryCodes(List<String> lotteryCodes) {
        this.lotteryCodes = lotteryCodes;
    }

    public String getLotteryType() {
        return lotteryType;
    }

    public void setLotteryType(String lotteryNum) {
        lotteryType = lotteryNum;
    }

    public String getLotteryTypeName() {
        return lotteryTypeName;
    }

    public void setLotteryTypeName(String lotteryTypeName) {
        this.lotteryTypeName = lotteryTypeName;
    }

    @Override
    public String toString() {
        return "LotteryVo{" +
                "lotteryId=" + lotteryId +
                ", lotteryCodes=" + lotteryCodes +
                ", lotteryType='" + lotteryType + '\'' +
                ", lotteryTypeName='" + lotteryTypeName + '\'' +
                '}';
    }
}
